package com.ruoyi.common.utils;


import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;

import java.util.Iterator;

/**
 * 数据工具类
 *
 * @author ruoyi
 */
public class DataUtils {

    public static String dateMap = "{\"area\":{ \"1\":\"11\",\"2\":\"11\",\"3\":\"11\",\"4\":\"11\",\"5\":\"11\",\"6\":\"11\",\"7\":\"11\",\"8\":\"11\",\"9\":\"11\",\"10\":\"11\",\"11\":\"11\",\"12\":\"11\",\"13\":\"11\",\"14\":\"11\",\"15\":\"11\",\"16\":\"11\",\"17\":\"11\",\"18\":\"11\",\"19\":\"11\",\"20\":\"11\",\"21\":\"11\",\"22\":\"11\",\"23\":\"11\",\"24\":\"11\"}," +
            "\"street\":{\"1\":\"11\",\"2\":\"11\", \"3\":\"11\", \"4\":\"11\",\"5\":\"11\", \"6\":\"11\", \"7\":\"11\", \"8\":\"11\", \"9\":\"11\", \"10\":\"11\", \"11\":\"11\"}," +
            "\"community\":{\"1\":\"11\",\"2\":\"11\", \"3\":\"11\",\"4\":\"11\", \"5\":\"11\", \"6\":\"11\", \"7\":\"11\", \"8\":\"11\", \"9\":\"11\", \"10\":\"11\", \"11\":\"11\", \"12\":\"11\", \"13\":\"11\", \"14\":\"11\", \"15\":\"11\", \"16\":\"11\", \"17\":\"11\", \"18\":\"11\", \"19\":\"11\", \"20\":\"11\", \"21\":\"11\", \"22\":\"11\", \"23\":\"11\", \"24\":\"11\", \"25\":\"11\",\"26\":\"11\",\"27\":\"11\",\"28\":\"11\",\"29\":\"11\",\"30\":\"11\",\"31\":\"11\",\"32\":\"11\", \"33\":\"11\", \"34\":\"11\", \"35\":\"11\", \"36\":\"11\", \"37\":\"11\", \"38\":\"11\", \"39\":\"11\", \"40\":\"11\", \"41\":\"11\", \"42\":\"11\", \"43\":\"11\", \"44\":\"11\", \"45\":\"11\", \"46\":\"11\", \"47\":\"11\", \"48\":\"11\"}," +
            "\"shelters\":{\"1\":\"11\",\"2\":\"11\", \"3\":\"11\", \"4\":\"11\",\"5\":\"11\", \"6\":\"11\", \"7\":\"11\", \"8\":\"11\", \"9\":\"11\", \"10\":\"11\"}," +
            "\"isolation\":{\"1\":\"11\",\"2\":\"11\", \"3\":\"11\", \"4\":\"11\",\"5\":\"11\", \"6\":\"11\", \"7\":\"11\", \"8\":\"11\"}}";

    public static String getValue(String area, String street, String community) {
        JSONObject map = JSON.parseObject(dateMap);
        if (StringUtils.isNotEmpty(community)) {
            JSONObject com = map.getJSONObject("community");
            return String.valueOf(com.get(community));
        } else if (StringUtils.isNotEmpty(street)) {
            JSONObject s = map.getJSONObject("street");
            return String.valueOf(s.get(street));
        } else if (StringUtils.isNotEmpty(area)) {
            JSONObject a = map.getJSONObject("area");
            return String.valueOf(a.get(area));
        } else
            return "null";
    }

    public static String getKey(String area, String street, String community, String shelters, String isolation) {
        JSONObject map = JSON.parseObject(dateMap);
        if (StringUtils.isNotEmpty(community)) {
            JSONObject com = map.getJSONObject("community");
            return getKey(com,community);
        } else if (StringUtils.isNotEmpty(street)) {
            JSONObject s = map.getJSONObject("street");
            return getKey(s,street);
        } else if (StringUtils.isNotEmpty(area)) {
            JSONObject a = map.getJSONObject("area");
            return getKey(a,area);
        } else if (StringUtils.isNotEmpty(shelters)) {
            JSONObject a = map.getJSONObject("shelters");
            return getKey(a,shelters);
        } else if (StringUtils.isNotEmpty(isolation)) {
            JSONObject a = map.getJSONObject("isolation");
            return getKey(a,isolation);
        } else
            return "null";
    }

    public static String getKey(JSONObject jsonObject, String value) {
        String keyValue = "";
        Iterator<String> keys = jsonObject.keySet().iterator();// jsonObject.keys();
        while (keys.hasNext()) {
            String key = keys.next();
            if (((String) jsonObject.get(key)).equals(value)) {
                keyValue = key.toString();
                break;
            }
        }
        return keyValue;
    }
}
